Bug 430193 - Enforce level prevents clamav-milter from running
Enforce level prevents clamav-milter from running
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-24 23:14 EST by David Highley
Modified: 2008-01-28 14:55 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-28 14:55:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Highley 2008-01-24 23:14:13 EST
Description of problem:
When starting the service clamav-milter it attempts to access a file in the
directory /var/lib/clamav/daily.inc and gets blocked when in enforce mode.

Version-Release number of selected component (if applicable):
selinux-policy-targeted-3.0.8-76.fc8
clamav-milter-0.92-6.fc8

How reproducible:


Steps to Reproduce:
1.service clamav-milter start
2.
3.
  
Actual results:


Expected results:


Additional info:
Directory /var/lib/clamav/daily.inc is owned by clamav:clamav. The service
clamav-milter runs as clamilt:clamilt. So I'm not sure if this is a policy issue
or a package configuration issue.
Comment 1 Daniel Walsh 2008-01-25 09:49:54 EST
What avc messages are you seeing in /var/log/audit/audit.log?
Comment 2 David Highley 2008-01-25 23:19:23 EST
type=SYSCALL msg=audit(1201320796.020:711): arch=c000003e syscall=2 success=yes 
exit=7 a0=2aaaacf9f3c0 a1=90800 a2=35 a3=0 items=0 ppid=1 pid=4338 auid=0 uid=49
2 gid=486 euid=492 suid=492 fsuid=492 egid=486 sgid=486 fsgid=486 tty=(none) com
m="clamav-milter" exe="/usr/sbin/clamav-milter" subj=system_u:system_r:clamd_t:s
0 key=(null)
type=AVC msg=audit(1201320796.020:712): avc:  denied  { getattr } for  pid=4338
comm="clamav-milter" path="/var/lib/clamav/daily.inc" dev=dm-0 ino=27066426
scontext=system_u:system_r:clamd_t:s0 tcontext=system_u:object_r:user_home_t:s0
tclass=dir
type=SYSCALL msg=audit(1201320796.020:712): arch=c000003e syscall=5 success=yes
exit=0 a0=7 a1=409ffd40 a2=409ffd40 a3=0 items=0 ppid=1 pid=4338 auid=0 uid=492
gid=486 euid=492 suid=492 fsuid=492 egid=486 sgid=486 fsgid=486 tty=(none)
comm="clamav-milter" exe="/usr/sbin/clamav-milter"
subj=system_u:system_r:clamd_t:s0 key=(null)
Comment 3 David Highley 2008-01-25 23:22:20 EST
Another related one:

type=AVC msg=audit(1201320754.665:705): avc:  denied  { getattr } for  pid=4338 
comm="clamav-milter" path="/var/lib/clamav/main.cvd" dev=dm-0 ino=27066444 scont
ext=system_u:system_r:clamd_t:s0 tcontext=system_u:object_r:user_home_t:s0 tclas
s=file
Comment 4 Daniel Walsh 2008-01-28 14:55:13 EST
David please set bugs to assigned not modified.  modified means I am done with
them, and they will disappear from my view.


This looks again like a labeling problem. You have files under /var/lib that are
labeled like they are in a homedir.

restorecon -R -v -F /var/lib


Note You need to log in before you can comment on or make changes to this bug.